locales other than en-US?

Board for discussions around the Basilisk web browser.
Locked
Bito_MUC
Apollo supporter
Apollo supporter
Posts: 36
Joined: 2015-06-17, 10:03
Location: Munich (Germany)

locales other than en-US?

Post by Bito_MUC » 2018-08-31, 12:04

Hi,
is there a possibility to let Basilisk use a language pack different from en-US?

According to AMO this language pack https://addons.mozilla.org/de/firefox/addon/deutsch-de-language-pack/versions/52.0
is compatible with Basilisk 2018.07.18 (64 Bit) running on Win 7 prof (64 Bit).

BUT: Whenever I try to activate that locale by switching general.useragent.locale to "de", after a restart of Basilisk the only thing I get is an error message. To start Basilisk again I have to edit the file prefs.js within the profile folder.
:(

Best greetings from Germany
Bito_MUC

User avatar
Moonchild
Pale Moon guru
Pale Moon guru
Posts: 26747
Joined: 2011-08-28, 17:27
Location: 58°2'16"N 14°58'31"E
Contact:

Re: locales other than en-US?

Post by Moonchild » 2018-08-31, 13:31

You cannot use language packs for one program (Firefox) on another program (Basilisk). That should be rather self-evident?
There are no language packs for Basilisk, and there likely won't be any in the future, either.
"There will be times when the position you advocate, no matter how well framed and supported, will not be accepted by the public simply because you are who you are." -- Merrill Rose
Image

Bito_MUC
Apollo supporter
Apollo supporter
Posts: 36
Joined: 2015-06-17, 10:03
Location: Munich (Germany)

Re: locales other than en-US?

Post by Bito_MUC » 2018-09-01, 09:44

Oh, I am sorry, but in this thread https://forum.palemoon.org/viewtopic.php?f=61&t=17202 I had read "Does Mozilla Firefox from early 2017 support/have {feature x}? If so, then yes. If not, then no."

So I thougt, that an "old" extension/addon/language pack (offered by the AMO web site) that is told to be compatible (as seen by the green button "Add to Firefox" on https://addons.mozilla.org/de/firefox/addon/deutsch-de-language-pack/versions/52.0), could be used with Basilisk.

And don't forget that clicking [Help/Basilisk Help] leads to the Firefox-Help website https://support.mozilla.org/en-US/products/firefox?as=u&utm_source=inproduct. Thus, Basilisk better should not offer the opportunity to load any language-pack xpi file from mozilla
Last edited by Bito_MUC on 2018-09-01, 09:47, edited 1 time in total.

Locked